LibreOffice: OleBridgeSupplier2 Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Exported Interfaces | List of all members
OleBridgeSupplier2 Service Referencepublished

maps UNO types to oleautomation types and vice versa. More...

`import"OleBridgeSupplier2.idl";`

Inheritance diagram for OleBridgeSupplier2:

## Exported Interfaces
interface | com::sun::star::bridge::XBridgeSupplier2

## Additional Inherited Members
Public Member Functions inherited from XBridgeSupplier2
any | createBridge ([in] any aModelDepObject, [in] sequence< byte > aProcessId, [in] short nSourceModelType, [in] short nDestModelType) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a bridge to provide an object of one object model with another. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

maps UNO types to oleautomation types and vice versa.

The XBridgeSupplier2 interface provides the function `createBridge` which maps a value of an UNO or Automation type to the desired target type. If an UNO interface was mapped to IDispatch, then all objects (interfaces, structs) and other types which are obtained from that Automation object are automatically mapped to the corresponding Automation types. Hence, if one provides an initial object which forms the root of all other objects, such as a service manager, then only that object needs to be explicitly mapped by a call to `createBridge`. The same holds true if an automation object is mapped to an UNO interface.

The Automation types `VT_CY` and `VT_DATE` are not supported. For Automation objects to be mapped they have to implement IDispatch interface. Other COM interfaces, except for IUnknown, are not supported.UNO interfaces and structs are mapped to IDispatch.

The service implements the XBridgeSupplier2 interface and handles the model types com::sun::star::bridge::ModelDependent::UNO and com::sun::star::bridge::ModelDependent::OLE. The service does not specify any requirements for registering OLE objects and class factories.

Deprecated:

## Exported Interfaces

## ◆ com::sun::star::bridge::XBridgeSupplier2

interface com::sun::star::bridge::XBridgeSupplier2

The documentation for this service was generated from the following file:

- com/sun/star/bridge/OleBridgeSupplier2.idl